# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xdatabase`](#dsc_xdatabase): The DSC xDatabase resource type. Automatically generated from version 2.0.0
* [`dsc_xdatabaselogin`](#dsc_xdatabaselogin): The DSC xDatabaseLogin resource type. Automatically generated from version 2.0.0
* [`dsc_xdatabaseserver`](#dsc_xdatabaseserver): The DSC xDatabaseServer resource type. Automatically generated from version 2.0.0
* [`dsc_xdbpackage`](#dsc_xdbpackage): The DSC xDBPackage resource type. Automatically generated from version 2.0.0

## Resource types

### <a name="dsc_xdatabase"></a>`dsc_xdatabase`

The DSC xDatabase resource type.
Automatically generated from version 2.0.0

#### Properties

The following properties are available in the `dsc_xdatabase` type.

##### `dsc_bacpacpath`

Data type: `Optional[String]`

Path to BacPac, if this is specified resore is performed

##### `dsc_dacpacapplicationname`

Data type: `Optional[String]`

DacPac Application Name for Registration

##### `dsc_dacpacapplicationversion`

Data type: `Optional[String]`

DacPac Application Version for Registration

##### `dsc_dacpacpath`

Data type: `Optional[String]`

Path to DacPac, if this is specified dacpac deployment is performed

##### `dsc_ensure`

Data type: `Enum['Present', 'Absent']`

 

##### `dsc_sqlserver`

Data type: `Optional[String]`

Sql Server Name

##### `dsc_sqlserverversion`

Data type: `Enum['2008-R2', '2012', '2014', '2016', '2017', '2019']`

Sql Server Version For DacFx

#### Parameters

The following parameters are available in the `dsc_xdatabase` type.

* [`dsc_credentials`](#dsc_credentials)
* [`dsc_databasename`](#dsc_databasename)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_credentials"></a>`dsc_credentials`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credentials to Connect to the sql server

##### <a name="dsc_databasename"></a>`dsc_databasename`

namevar

Data type: `String`

Name of the Database

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xdatabaselogin"></a>`dsc_xdatabaselogin`

The DSC xDatabaseLogin resource type.
Automatically generated from version 2.0.0

#### Properties

The following properties are available in the `dsc_xdatabaselogin` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_loginpassword`

Data type: `Optional[String]`

 

##### `dsc_sqlauthtype`

Data type: `Enum['Windows', 'SQL']`

 

##### `dsc_sqlserver`

Data type: `String`

Sql Server Name

#### Parameters

The following parameters are available in the `dsc_xdatabaselogin` type.

* [`dsc_loginname`](#dsc_loginname)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_sqlconnectioncredential`](#dsc_sqlconnectioncredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_loginname"></a>`dsc_loginname`

namevar

Data type: `String`

 

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_sqlconnectioncredential"></a>`dsc_sqlconnectioncredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xdatabaseserver"></a>`dsc_xdatabaseserver`

The DSC xDatabaseServer resource type.
Automatically generated from version 2.0.0

#### Parameters

The following parameters are available in the `dsc_xdatabaseserver` type.

* [`dsc_loginmode`](#dsc_loginmode)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_loginmode"></a>`dsc_loginmode`

namevar

Data type: `Enum['Windows', 'Mixed']`

 

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xdbpackage"></a>`dsc_xdbpackage`

The DSC xDBPackage resource type.
Automatically generated from version 2.0.0

#### Properties

The following properties are available in the `dsc_xdbpackage` type.

##### `dsc_path`

Data type: `String`

Path to BacPac/DacPac

##### `dsc_sqlserver`

Data type: `String`

Sql Server Name

##### `dsc_sqlserverversion`

Data type: `Enum['2008-R2', '2012', '2014', '2016', '2017', '2019']`

Sql Server Version For DacFx

##### `dsc_type`

Data type: `Enum['DACPAC', 'BACPAC']`

Type for backup(Extract id done for DACPAC and Import for BACPAC)

#### Parameters

The following parameters are available in the `dsc_xdbpackage` type.

* [`dsc_credentials`](#dsc_credentials)
* [`dsc_databasename`](#dsc_databasename)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_credentials"></a>`dsc_credentials`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credentials to Connect to the sql server

##### <a name="dsc_databasename"></a>`dsc_databasename`

namevar

Data type: `String`

Name of the Database

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

